.powergoodies-mobile {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  align-items: center;
  gap: 12px;
  padding: 44px 0px;
  position: relative;
  background-color: #8664ff;
}

.powergoodies-mobile .rectangle {
  position: relative;
  width: 390px;
  height: 10px;
}

.powergoodies-mobile .frame {
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  /* justify-content: space-between; */
  position: relative;
  flex: 1;
  flex-grow: 1;
}

.powergoodies-mobile .div {
  display: flex;
  flex-direction: column;
  height: 213px;
  align-items: center;
  justify-content: space-between;
  position: relative;
  align-self: stretch;
  width: 100%;
}

.powergoodies-mobile .body-text {
  display: inline-flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  position: relative;
  flex: 0 0 auto;
}

.powergoodies-mobile .text-wrapper {
  position: relative;
  width: 308px;
  margin-top: 4pt;
  margin-bottom: 4pt;
  font-family: var(--h-1-font-family);
  font-weight: var(--h-1-font-weight);
  color: #ffffff;
  font-size: var(--h-1-font-size);
  text-align: center;
  letter-spacing: var(--h-1-letter-spacing);
  line-height: var(--h-1-line-height);
  font-style: var(--h-1-font-style);
}

.powergoodies-mobile .p {
  position: relative;
  width: 314px;
  margin-bottom: 10pt;
  font-family: var(--p-font-family);
  font-weight: var(--p-font-weight);
  color: #ffffff;
  font-size: var(--p-font-size);
  text-align: center;
  letter-spacing: var(--p-letter-spacing);
  line-height: var(--p-line-height);
  font-style: var(--p-font-style);
}

.powergoodies-mobile .img {
  position: relative;
  flex: 0 0 auto;
}

.powergoodies-mobile .power-goodies {
  position: relative;
  width: 314px;
  height: 211px;
  object-fit: cover;
}

.powergoodies-mobile .frame-2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 22px;
  position: relative;
  align-self: stretch;
  width: 100%;
  flex: 0 0 auto;
}

.powergoodies-mobile .frame-3 {
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  gap: 9px;
  position: relative;
  flex: 0 0 auto;
}

.powergoodies-mobile .text-wrapper-2 {
  position: relative;
  width: fit-content;
  margin-top: -1px;
  font-family: var(--h-3-font-family);
  font-weight: var(--h-3-font-weight);
  color: #ffffff;
  font-size: var(--h-3-font-size);
  letter-spacing: var(--h-3-letter-spacing);
  line-height: var(--h-3-line-height);
  font-style: var(--h-3-font-style);
}

.powergoodies-mobile .logo-agrisnellaad {
  position: relative;
  width: 168px;
  height: 43px;
  margin-bottom: 80px;
}

.powergoodies-mobile .atom {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  padding: 4px 0px;
  position: relative;
  flex: 0 0 auto;
  border-radius: 9999px;
}

.powergoodies-mobile .text {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  position: relative;
  flex: 0 0 auto;
}

.powergoodies-mobile .text-wrapper-3 {
  position: relative;
  width: fit-content;
  margin-top: -0.16px;
  font-family: var(--h-4-font-family);
  font-weight: var(--h-4-font-weight);
  color: #ffffff;
  font-size: var(--h-4-font-size);
  letter-spacing: var(--h-4-letter-spacing);
  line-height: var(--h-4-line-height);
  text-decoration: underline;
  white-space: nowrap;
  font-style: var(--h-4-font-style);
}

.powergoodies-mobile .arrow-up-right {
  position: relative;
  width: 24px;
  height: 23.68px;
}

.powergoodies-mobile .nav {
  display: flex;
  width: 390px;
  height: 40px;
  align-items: center;
  position: absolute;
  top: 10px;
  left: 0;
  border-bottom-width: 0.5px;
  border-bottom-style: solid;
  border-color: #ffffff4c;
}

.powergoodies-mobile .nav {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  padding: 16px 16px;
  width: 100%;
  /* Ensure the nav takes up the full width */
  box-sizing: border-box;
  /* Include padding in the total width */
}

.powergoodies-mobile .logo {
  position: relative;
  width: 152.78px;
  height: 24px;
}


.powergoodies-mobile .united-kingdom {
  position: relative;
  width: 24px;
  height: 24px;
  /* margin-left: 30pt; */
}

.powergoodies-mobile .netherlands {
  position: relative;
  width: 24px;
  height: 24px;
}

.powergoodies-mobile .germany {
  position: relative;
  width: 24.39px;
  height: 24px;
}